Get newsletter list subscription OAuth Scope: newsletter_lists:read
Get newsletter list subscription OAuth Scope: newsletter_lists:read
GET
https://api.beehiiv.com/v2/publications/:publicationId/newsletter_lists/:newsletterListId/subscriptions/:newsletterListSubscriptionId
Retrieve a single newsletter list subscription.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
publicationIdstringRequired
format: "^(pub_[0-9a-fA-F\-]+)$"The prefixed ID of the publication object
newsletterListIdstringRequired
format: "^(nl_list_[0-9a-fA-F\-]+)$"The prefixed ID of the newsletter list object
newsletterListSubscriptionIdstringRequired
format: "^(nl_list_sub_[0-9a-fA-F\-]+)$"The prefixed ID of the newsletter list subscription object
Response
OK
dataobject
Errors
400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error